GuidesAPI Reference
API Reference

Locate

Request WGS-84 compliant geocoordinates for a location based on 2G/3G/4G cell and/or WLAN measurements.

Query Params
fallback
array of strings

Acceptable fallback options for cell and WLAN positioning. Values 'area' and 'any' apply to cell based positioning, and value 'singleWifi' applies to WLAN based positioning. They may both be combined in the same request. By default cell based positioning returns cell tower level location estimates only. If you allow a WGS-84 compliant geocoordinate location estimate based on LAC, RNC, TAC, NID, or RZ areas, use the fallback=area setting. If you use the fallback=any setting, the service uses all available cell fallback methods and therefore the location estimate in the response may be at the MNC, SID, or MCC level. For privacy reasons precise positioning based on a single WLAN AP is not possible. You can use the fallback=singleWifi setting to allow less accurate positioning based on a single WLAN AP. In that case the center location of the position estimate will be deviated and the reported accuracy radius will be larger.

fallback
desired
array of strings

Comma-separated list of additional data fields that the service should include in the response if data is available. The query parameter supports the value 'altitude'.

desired
required
array of strings

Comma-separated list of additional data fields that the service should include in the response. If the data is not available, the response contains an error message. The query parameter supports the value 'altitude'.

required
integer
50 to 99

Confidence level in percent for the accuracy/uncertainty in the location estimate response. If not specified, the default is 68 (this corresponds to a 68% probability that the true position is within the accuracy/uncertainty radius of the location estimate: the higher the number, the greater the confidence level).

string

A 20-byte Base64 URL-safe encoded string used for the authentication of the client application. If you use the app ID/app code option, you need to include an app_id and app_code with every request. For further details, see Acquiring Credentials. Required unless authentication token or an API Key provided in Authorization header. Supported by host https://pos.api.here.com.

string

A 20-byte Base64 URL-safe encoded string used for the authentication of the client application. If you use the app ID/app code option, you need to include an app_id and app_code with every request. For further details, see Acquiring Credentials. Required unless authentication token or an API Key provided in Authorization header. Supported by host https://pos.api.here.com.

string

A 43-byte Base64 URL-safe encoded string used for the authentication of the client application. As a logged in user, you can generate it at your Projects. API Keys never expire but you can invalidate your API Keys at any time. You cannot have more than two API Keys for one app at the same time. You must include an apikey with every request. Required unless authentication token provided in Authorization header. Supported by host https://pos.ls.hereapi.com.

Body Params

Request body containing cell and/or WLAN measurement data

client
object

Information about the client

gsm
array of objects
length between 1 and 16

GSM cells (GERAN)

gsm
wcdma
array of objects
length between 1 and 16

WCDMA cells (UTRA-FDD, 3G UMTS)

wcdma
tdscdma
array of objects
length between 1 and 16

TD-SCDMA cell (UTRA-TDD, 3G UMTS TDD)

tdscdma
lte
array of objects
length between 1 and 16

LTE cells (E-UTRA, 4G)

lte
cdma
array of objects
length between 1 and 16

CDMA cells

cdma
wlan
array of objects
length between 1 and 256

WLAN access points

wlan
Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json